org.gradle.plugin.devel.tasks

## Class PluginUnderTestMetadata

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.plugin.devel.tasks.PluginUnderTestMetadata

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      @Incubating
      public class PluginUnderTestMetadata
      extends DefaultTask

  Custom task for generating the metadata for a plugin user test.
  Since:
    2.13

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `IMPLEMENTATION_CLASSPATH_HASH_PROP_KEY`
    `static String` | `IMPLEMENTATION_CLASSPATH_PROP_KEY`
    `static String` | `METADATA_FILE_NAME`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginUnderTestMetadata()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generate()`
    `File` | `getOutputDirectory()` The target output directory used for writing the classpath manifest.
    `FileCollection` | `getPluginClasspath()` The code under test.
    `void` | `setOutputDirectory(File outputDirectory)`
    `void` | `setPluginClasspath(FileCollection pluginClasspath)`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActionClassLoaders, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### IMPLEMENTATION_CLASSPATH_PROP_KEY

          public static final String IMPLEMENTATION_CLASSPATH_PROP_KEY

      See Also:
        Constant Field Values

    - #### IMPLEMENTATION_CLASSPATH_HASH_PROP_KEY

          public static final String IMPLEMENTATION_CLASSPATH_HASH_PROP_KEY

      See Also:
        Constant Field Values

    - #### METADATA_FILE_NAME

          public static final String METADATA_FILE_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PluginUnderTestMetadata

          public PluginUnderTestMetadata()

  - ### Method Detail

    - #### getPluginClasspath

          @Classpath
          public FileCollection getPluginClasspath()

      The code under test. Defaults to `sourceSets.main.runtimeClasspath`.

    - #### setPluginClasspath

          public void setPluginClasspath(FileCollection pluginClasspath)

    - #### getOutputDirectory

          @OutputDirectory
          public File getOutputDirectory()

      The target output directory used for writing the classpath manifest. Defaults to `"$buildDir/$task.name"`.

    - #### setOutputDirectory

          public void setOutputDirectory(File outputDirectory)

    - #### generate

          public void generate()